/***********************************************************************
カラーユーティリティー
　制作：（株）ゼータ
************************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include "gif_rgb.h"

#ifdef WIN_BMP
/* 赤・青・緑からデータを作る */
int GetColorInt(unsigned char r, unsigned char g, unsigned char b)
{	
	return( ((int)r << 16) | ((int)g << 8) | ((int)b) );
}
#else
/* 赤・青・緑からデータを作る */
int GetColorInt(unsigned char r, unsigned char g, unsigned char b)
{	
	return( ((int)b << 16) | ((int)g << 8) | ((int)r) );
}
#endif

int GetColorRGB(RGB4 *rgb)
{
	return GetColorInt(rgb->r, rgb->g, rgb->b);
}

